package com.lantone.qc.pub.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName : Family
 * @Description : 家属
 * @Author : 楼辉荣
 * @Date: 2020-03-03 18:43
 */
@Setter
@Getter
public class Family extends General{
    private Dead dead;
    private GeneticDiseaseKeyword geneticDiseaseKeyword;//家族遗传病
    private DiagInfectious diagInfectious;//传染病史
    private List<Diag> diags;//疾病名称
    private HealthCondition healthCondition;//健康状况

    public void addDiag(Diag diag) {
        this.diags.add(diag);
    }
}